var fgu = function(){
	this.is_index = $('#frame_index').is(':visible');
	this.is_content_page = $('#frame_pages').is(':visible');

	function toggleClass(obj, class_name, parent){
		$(obj)
			.parents(parent)
			.find('.'+class_name)
			.removeClass(class_name);

		$(obj).addClass(class_name);
	}

	function simpleTab(target){
		var obj = $(target),
			anchor = obj.find('.tab_nav a'),
			content = obj.find('.tab_holder > *');

		anchor.on({
			click: function(){
				var tab = $(this).attr('tab');

				toggleClass($(this), 'active', '.tab_nav');
				content
					.hide()
					.eq(tab - 1)
					.stop(1,1)
					.fadeIn();

				return false;
			}
		});
	}
	
	function titleRepair(){
		var title = $('#frame_content .view_count + .h1'),
			title_height = title.outerHeight(),
			frame = $('#frame_pages'),
			C = 30;
		
		if( title_height == null ){
			return;
		}

		frame.css({
			'paddingTop': title_height + C,
			'backgroundPosition': '0 ' + title_height + 'px'
		});
	}

	if( is_index ){
		$('#frame_index').ajaxStop(function(){
			simpleTab('#fgu_message');
		});
	} else if( is_content_page ){
		$('#frame_pages').ajaxStop(function(){
			// titleRepair();
		});
	}
};

function checkIE(){
	var ie = $.browser.msie,
		v = $.browser.version,
		major = [];

	if( ie ){
		major = v.split('.');
		$('body').addClass('ie ie'+major[0]);
	}
}

$(document).ready(function(){
	checkIE();
	fgu();
});
