class Extension
  include Mongoid::Document
  include Mongoid::Timestamps
  include Mongoid::Slug

  field :title, type: String
  field :author, type: String
  field :preview, type: String
  field :extension, type: String
  field :description, type: String
  slug :title, history: true

  mount_uploader :preview, ImageUploader
  mount_uploader :extension, ProductUploader
end
